<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DeviceTokenRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'token'    => 'required|string',
            'platform' => 'required|string|in:android,ios',
            'app_type' => 'required|string|in:prestador,cliente',
        ];
    }
}
